Returns the value at the specified index

- « SplFixedArray::offsetExists

- SplFixedArray::offsetSet »

- PHP Manual
- SplFixedArray
- Returns the value at the specified index

# SplFixedArray::offsetGet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetGet — Returns the value at the specified index

### Description

public SplFixedArray::offsetGet(int `$index`): mixed

Returns the value at the index `index`.

### Parameters

`index`

  The index with the value.

### Return Values

The value at the specified `index`.

### Errors/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.